import { ElementRef, OnInit, QueryList } from '@angular/core';
import { AtThDirective } from './at-th.directive';
export declare class TableComponent implements OnInit {
    constructor();
    ngOnInit(): void;
    _ths: any[];
    size: 'normal' | 'large' | 'small';
    height: any;
    stripe: boolean;
    atFixed: boolean;
    border: boolean;
    showFooter: boolean;
    setThs: QueryList<AtThDirective>;
    fixed_head: ElementRef;
    marginTop: number;
    ngAfterViewInit(): void;
}
